

#include <Vlib.h>

void
VDestroyObject(VObject *obj)
{
	long i;
	for (i=0; i<obj->numPolys; ++i) {
		VDestroyPolygon (obj->polygon[i]);
	}
	if (obj->order) {
		free ( obj->order );
	}
	free (obj->polygon);
	free (obj->name);
	free (obj);
}